<?xml version='1.0' encoding='UTF-8'?>
<persistence xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0">
    <persistence-unit name="validate-test" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.ejb.HibernatePersistence</provider>

        <class>net.ihe.gazelle.model4test.ApplicationPreference</class>
        <class>net.ihe.gazelle.model4test.TestRun</class>
        <class>net.ihe.gazelle.model4test.TestStepRun</class>

        <properties>

            <!-- JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:postgresql://${it.jdbc.db.host}:5432/migration-test"/>
            <property name="javax.persistence.jdbc.driver" value="org.postgresql.Driver"/>
            <property name="javax.persistence.jdbc.user" value="gazelle"/>
            <property name="javax.persistence.jdbc.password" value="gazelle"/>

            <!-- Migration properties -->
            <property name="net.ihe.gazelle.migration.enabled" value="true"/>
            <property name="net.ihe.gazelle.migration.classpaths" value="/db/jpa/migration"/>
            <property name="net.ihe.gazelle.migration.baseline.classpath" value="/db/nobaseline"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect"/>
            <property name="hibernate.hbm2ddl.auto" value="validate" />

        </properties>
    </persistence-unit>

    <persistence-unit name="validate-error-test" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.ejb.HibernatePersistence</provider>

        <class>net.ihe.gazelle.model4test.ApplicationPreference</class>
        <class>net.ihe.gazelle.model4test.TestRun</class>
        <class>net.ihe.gazelle.model4test.TestStepRun</class>

        <properties>

            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:postgresql://${it.jdbc.db.host}:5432/migration-test-for-unclosed-connection"/>
            <property name="javax.persistence.jdbc.driver" value="org.postgresql.Driver"/>
            <property name="javax.persistence.jdbc.user" value="gazelle"/>
            <property name="javax.persistence.jdbc.password" value="gazelle"/>

            <!-- Migration properties -->
            <property name="net.ihe.gazelle.migration.enabled" value="true"/>
            <property name="net.ihe.gazelle.migration.classpaths" value="/db/jpa/migration,/db/jpa/failure"/>
            <property name="net.ihe.gazelle.migration.baseline.classpath" value="/db/nobaseline"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect"/>
            <property name="hibernate.hbm2ddl.auto" value="validate" />

        </properties>
    </persistence-unit>

    <persistence-unit name="h2-in-memory-test" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.ejb.HibernatePersistence</provider>

        <class>net.ihe.gazelle.model4test.ApplicationPreference</class>
        <class>net.ihe.gazelle.model4test.TestRun</class>
        <class>net.ihe.gazelle.model4test.TestStepRun</class>

        <properties>

            <property name="javax.persistence.jdbc.url" value="jdbc:h2:mem:test;MODE=PostgreSQL;DATABASE_TO_LOWER=TRUE"/>
            <property name="javax.persistence.jdbc.driver" value="org.h2.Driver"/>
            <property name="javax.persistence.jdbc.user" value="sa"/>
            <property name="javax.persistence.jdbc.password" value="sa"/>

            <!-- Migration properties -->
            <property name="net.ihe.gazelle.migration.enabled" value="true"/>
            <property name="net.ihe.gazelle.migration.classpaths" value="/db/h2/migration"/>
            <property name="net.ihe.gazelle.migration.baseline.classpath" value="/db/h2/baseline"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.H2Dialect"/>

        </properties>
    </persistence-unit>

    <persistence-unit name="jdbc-postgres-test" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.ejb.HibernatePersistence</provider>

        <class>net.ihe.gazelle.model4test.ApplicationPreference</class>
        <class>net.ihe.gazelle.model4test.TestRun</class>
        <class>net.ihe.gazelle.model4test.TestStepRun</class>

        <properties>

            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:postgresql://${it.jdbc.db.host}:5432/migration-test"/>
            <property name="javax.persistence.jdbc.driver" value="org.postgresql.Driver"/>
            <property name="javax.persistence.jdbc.user" value="gazelle"/>
            <property name="javax.persistence.jdbc.password" value="gazelle"/>

            <!-- Migration properties -->
            <property name="net.ihe.gazelle.migration.enabled" value="true"/>
            <property name="net.ihe.gazelle.migration.classpaths" value="/db/jpa/migration"/>
            <property name="net.ihe.gazelle.migration.baseline.classpath" value="/db/nobaseline"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect"/>

        </properties>
    </persistence-unit>

    <persistence-unit name="no-datasource-test" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.ejb.HibernatePersistence</provider>

        <class>net.ihe.gazelle.model4test.ApplicationPreference</class>
        <class>net.ihe.gazelle.model4test.TestRun</class>
        <class>net.ihe.gazelle.model4test.TestStepRun</class>

        <properties>

            <!-- Migration properties -->
            <property name="net.ihe.gazelle.migration.enabled" value="true"/>
            <property name="net.ihe.gazelle.migration.classpaths" value="/db/jpa/migration"/>
            <property name="net.ihe.gazelle.migration.baseline.classpath" value="/db/nobaseline"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect"/>

        </properties>
    </persistence-unit>

    <persistence-unit name="placeholders-path-test" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.ejb.HibernatePersistence</provider>

        <class>net.ihe.gazelle.model4test.ApplicationPreference</class>
        <class>net.ihe.gazelle.model4test.TestRun</class>
        <class>net.ihe.gazelle.model4test.TestStepRun</class>

        <properties>

            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:postgresql://${it.jdbc.db.host}:5432/migration-test"/>
            <property name="javax.persistence.jdbc.driver" value="org.postgresql.Driver"/>
            <property name="javax.persistence.jdbc.user" value="gazelle"/>
            <property name="javax.persistence.jdbc.password" value="gazelle"/>

            <!-- Migration properties -->
            <property name="net.ihe.gazelle.migration.enabled" value="true"/>
            <property name="net.ihe.gazelle.migration.classpaths" value="/db/jpa/migration,/db/jpa/repeatable"/>
            <property name="net.ihe.gazelle.migration.baseline.classpath" value="/db/nobaseline"/>
            <property name="net.ihe.gazelle.migration.placeholders.path" value="${project.build.testOutputDirectory}/placeholders.properties"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect"/>

        </properties>
    </persistence-unit>

    <persistence-unit name="placeholders-path-error-test" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.ejb.HibernatePersistence</provider>

        <class>net.ihe.gazelle.model4test.ApplicationPreference</class>
        <class>net.ihe.gazelle.model4test.TestRun</class>
        <class>net.ihe.gazelle.model4test.TestStepRun</class>

        <properties>

            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:postgresql://${it.jdbc.db.host}:5432/migration-test-for-unclosed-connection-2"/>
            <property name="javax.persistence.jdbc.driver" value="org.postgresql.Driver"/>
            <property name="javax.persistence.jdbc.user" value="gazelle"/>
            <property name="javax.persistence.jdbc.password" value="gazelle"/>

            <!-- Migration properties -->
            <property name="net.ihe.gazelle.migration.enabled" value="true"/>
            <property name="net.ihe.gazelle.migration.classpaths" value="/db/jpa/migration,/db/jpa/repeatable"/>
            <property name="net.ihe.gazelle.migration.baseline.classpath" value="/db/nobaseline"/>
            <property name="net.ihe.gazelle.migration.placeholders.path" value="${project.build.testOutputDirectory}/wrong-path.properties"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect"/>

        </properties>
    </persistence-unit>
</persistence>
